/*
 * conf.h
 *
 * Copyright (C) 1993, John Kilburg.
 *
 * You may distribute this code freely as long as it is used only
 * for academic, research, and internal business uses only, without
 * a fee.  You may distribute the binary and source code to third
 * parties provided that the copyright notice and this statement
 * appears on all copies and that no charge is associated with such
 * copies.
 *
 * If you make and distribute modified versions of the source or
 * binaries then you must inform me (John Kilburg) of the distribution.
 * You must also give me credit for the original in the source and
 * documentation but you must indicate that modifications were made.
 *
 * If you wish to make commercial use of the source or binaries you should    
 * contact me, to negotiate an appropriate license for such
 * commercial use.  Commercial use includes (1) integration of all or    
 * part of the source code into a product for sale or license by or on   
 * behalf of Licensee to third parties, or (2) distribution of the binary
 * code or source code to third parties that need it to utilize a          
 * commercial product sold or licensed by you or on your behalf.        
 * 
 * This software is provided "as is" without expressed or
 * implied warranty.  It is not intended to be used for any particular
 * purpose.  I shall not be liable for any damages suffered by users
 * of this software.  USE AT YOUR OWN RISK.
 *
 */

/*
 * Time To Live for cached documents in seconds
 */
#define DOC_TTL (30 * 60)

#define CONTENT_FILE "/local/infosys/lib/content"
#define HOME_PAGE "http://pauli/"
#define HELP_DOCUMENT "file:/local/infosys/lib/help.html"
#define PRINTER_NAME "ps"

#define LOAD_MESSAGE "%d bytes loaded"

/*
 * This is the command to which printer information is piped.  Note that
 * the %s is for the printer name.
 */
#define PRINT_COMMAND "lpr -P%s"

/*
 * This is always located in the HOME directory...
 */
#define BOOKMARK_FILE ".chimera_bookmark"

#define DEFAULT_GOPHER_PORT 70
#define DEFAULT_HTTP_PORT 80
#define DEFAULT_FTP_PORT 21
#define DEFAULT_TELNET_PORT 23

/*
 * Is this a bad idea?  Does it make any sense?  I don't know if BUFSIZ
 * is required to exist.
 */
#ifndef BUFSIZ
#define BUFSIZ 1024
#endif
