/*
 * url.h
 *
 * Copyright (C) 1993, John Kilburg.
 *
 * You may distribute this code freely as long as it is used only
 * for academic, research, and internal business uses only, without
 * a fee.  You may distribute the binary and source code to third
 * parties provided that the copyright notice and this statement
 * appears on all copies and that no charge is associated with such
 * copies.
 *
 * If you make and distribute modified versions of the source or
 * binaries then you must inform me (John Kilburg) of the distribution.
 * You must also give me credit for the original in the source and
 * documentation but you must indicate that modifications were made.
 *
 * If you wish to make commercial use of the source or binaries you should    
 * contact me, to negotiate an appropriate license for such
 * commercial use.  Commercial use includes (1) integration of all or    
 * part of the source code into a product for sale or license by or on   
 * behalf of Licensee to third parties, or (2) distribution of the binary
 * code or source code to third parties that need it to utilize a          
 * commercial product sold or licensed by you or on your behalf.        
 * 
 * This software is provided "as is" without expressed or
 * implied warranty.  It is not intended to be used for any particular
 * purpose.  I shall not be liable for any damages suffered by users
 * of this software.  USE AT YOUR OWN RISK.
 *
 */

/*
 * Flags returned by ParseURL
 */
#define URL_ACCESS 1
#define URL_HOSTNAME 2
#define URL_PORTNO 4
#define URL_FILENAME 8
#define URL_EXTENSION 16

/*
 * Prototypes
 */

#if NeedFunctionPrototypes
char *FixURL(char *);
char *MakeURL(char *, char *, char *, int);
long ParseURL(char *,
	      char *, int,
	      char *, int,
	      int *,
	      char *, int,
	      char *, int);
void StripSearchURL(char *);
void AddVisitedURL(char *);
int IsVisitedURL(char *);
char *UnescapeURL(char *);
char *EscapeURL(char *);
#else
char *FixURL();
long ParseURL();
char *MakeURL();
void StripSearchURL();
void AddVisitedURL();
int IsVisitedURL();
char *UnescapeURL();
char *EscapeURL();
#endif
