/*
 * widget.h
 *
 * Copyright (C) 1993, John Kilburg.
 *
 * You may distribute this code freely as long as it is used only
 * for academic, research, and internal business uses only, without
 * a fee.  You may distribute the binary and source code to third
 * parties provided that the copyright notice and this statement
 * appears on all copies and that no charge is associated with such
 * copies.
 *
 * If you make and distribute modified versions of the source or
 * binaries then you must inform me (John Kilburg) of the distribution.
 * You must also give me credit for the original in the source and
 * documentation but you must indicate that modifications were made.
 *
 * If you wish to make commercial use of the source or binaries you should    
 * contact me, to negotiate an appropriate license for such
 * commercial use.  Commercial use includes (1) integration of all or    
 * part of the source code into a product for sale or license by or on   
 * behalf of Licensee to third parties, or (2) distribution of the binary
 * code or source code to third parties that need it to utilize a          
 * commercial product sold or licensed by you or on your behalf.        
 * 
 * This software is provided "as is" without expressed or
 * implied warranty.  It is not intended to be used for any particular
 * purpose.  I shall not be liable for any damages suffered by users
 * of this software.  USE AT YOUR OWN RISK.
 *
 *
 * This code is just to help simplify main.c.  It doesn't really make
 * sense to put it here.
 *
 */ 

/*
 * These structures are defined here because they are only used by
 * main.c.  Besides, I want all of the X stuff here and in image.c and
 * not spread everywhere else.
 */
typedef struct _docnode
{
  Document *doc;
  int vpos, hpos;
  unsigned long flags;
  struct _docnode *next;
} DocNode;

typedef struct _htmlroot
{
  XtAppContext appcon;
  Widget toplevel;
  Widget w;
  Widget back;
  Widget load;
  Widget view;
  Widget help;
  Widget source;
  Widget save;
  Widget urldisplay;
  Widget titledisplay;
  Widget bookmark;
  Widget reload;
  Widget home;
  Widget print;
  Widget search;
  Widget cancel;
  Widget quit;
  XtTranslations trans;
  Boolean cancelop;
  Bookmark *blist;
  DocNode *dlist;
  Content *clist;
  Document *savedoc;
  ListerCallbackData *special;
  Boolean requesterup;
  Boolean listerup;
  Boolean actionVerify;
  char *keyTrans;
  char *savestr;
  char *loadstr;
  char *printerstr;
  char *searchstr;
  char *bookmarkstr;
  char *contentFile;
  char *helpDocument;
  char *homePage;
  char *contentPath;
  char *button1Box;
  char *button2Box;
  char *printerName;
  Boolean showURL;
  Boolean showTitle;
  Cursor left_ptr;
  Cursor watch;
} HTMLRoot;

/*
 * Callbacks
 *
 * It would be a pain to put args for these guys because I would
 * have to do funky things with the middle argument.
 */
void Quit();
void OpenDocument();
void Save();
void Anchor();
void Home();
void Back();
void Help();
void Source();
void Reload();
void DoRequester();
void DoLister();
void Search();
void Cancel();
ImageInfo *ImageResolve();
int VisitTest();
void SubmitForm();

#if NeedFunctionPrototypes
void CreateWidgets(HTMLRoot *);
#else
void CreateWidgets();
#endif


